set terminal pdfcairo enhanced color size 3.25,3.45 fontscale 0.5\
   font 'Arial,14' linewidth 1 dl 5
    
set key font ',12'

set ylabel offset 1
set xlabel offset 0,0.5

set lmargin 9
set rmargin 9
set tmargin 3
set bmargin 6

load 'c:\\Users\\pydam\\Documents\\gnuplot\\eps\\gnuplot_linestyles_colour lines.gp'
#load 'c:\\Users\\pydam\\Documents\\gnuplot\\eps\\gnuplot_linestyles_bw.gp'

set output "Fig 4e.pdf"

fname1 = "I xz direct strain measurement.txt"
fname2 = "II.txt"
fname3 = "III.txt"
fname4 = "IV.txt"


f1(x,a,b,c,d) = a*(x)**4+b*(x)**3+c*(x)**2+d*(x)
dfdx1(x,a,b,c,d) = -(4*a*x**3+3*b*x**2+2*c*x+d)

fit f1(x,a1,b1,c1,d1) fname1 u (log($1+1)):(log($3)) via a1,b1,c1,d1
fit f1(x,a2,b2,c2,d2) fname2 u (log($1+1)):(log($2)) via a2,b2,c2,d2
fit f1(x,a3,b3,c3,d3) fname3 u (log($1+1)):(log($2)) via a3,b3,c3,d3
fit f1(x,a4,b4,c4,d4) fname4 u (log($1+1)):(log($2)) via a4,b4,c4,d4

set samples 10000

set key bottom right

set xrange [0:1.5]
set xlabel "Nominal strain, {/:Italic{/Symbol e}_x}"
set ylabel "Instantaneous\nPoisson's Ratio, {/:Italic{/Symbol n}_{xy}}"
#set label "({/Symbol e}_x^z-min)" at 1,-0.55 centre font '70'
#set xlabel offset -1
set xtics 0.5

e1 = 1.4644
e2 = 1.2291
e3 = 1.2447
e4 = 1.3437

f1a(x,a,b,c,d,e) = ( 0.00 <= x && x <= (log(e+1))) ? dfdx1(x,a,b,c,d) :1/0


plot\
	(f1a((log(x+1)),a1,b1,c1,d1,e1)) ls 1 title "I",\
	(f1a((log(x+1)),a2,b2,c2,d2,e2)) ls 2 title "II",\
	(f1a((log(x+1)),a3,b3,c3,d3,e3)) ls 3 title "III",\
	(f1a((log(x+1)),a4,b4,c4,d4,e4)) ls 4 title "IV",\
 

#pause -1


